package cn.gygxzc.cloud.config.model

import com.baomidou.mybatisplus.annotation.IdType
import com.baomidou.mybatisplus.annotation.TableId
import com.baomidou.mybatisplus.annotation.TableName
import java.util.*

/**
 * 属性的标签
 */
@TableName("property_label")
data class PropertyLabel(@TableId(type = IdType.AUTO)
                         var id: Int = 0,
                         var pId: Int? = null,
                         var label: String? = null,
                         var path: String? = null,
                         var description: String? = null,
                         var title: String? = null,
                         var remark: String? = null,
                         var createBy: String? = null,
                         var createTime: Date? = null) {
}