package cn.tonyandmoney.tuonq.core;

import cn.tonyandmoney.tuonq.core.filter.GlobalCrosFilter;
import cn.tonyandmoney.tuonq.core.filter.GlobalWebCrosFilter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.server.WebFilter;

import javax.servlet.Filter;

@Configuration
public class TuonqCoreConfiguration {


    @Bean
    public WebFilter crosFilter(){
        return new GlobalCrosFilter();
    }

    @Bean
    public Filter webCrosFilter(){
        return new GlobalWebCrosFilter();
    }
}
